Unit SF75R1_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

function SF75R1(var Y :Array of Real; J :Integer): Real;

implementation

function SF75R1(var Y :Array of Real; J :Integer): Real;
var
I :Integer;
C,D,E,Z :Real;
label
_10;
begin
{ Result -    SF75R1  FORTRANe }
C  := 1.0;
D  := _SF75R3.elm1;
Z  := Y[0] + _SF75R3.elm1*Y[1];
for I:=3 to J do
 begin
  E  := 2*_SF75R3.elm1*D - C;
  Z  := Z + E*Y[I-1];
  C  := D;
  D  := E;
_10:
 end;
Result := Z;
exit;
end;

end.
