Unit SF75R2_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

function SF75R2(var Y :Array of Real; J :Integer): Real;

implementation

function SF75R2(var Y :Array of Real; J :Integer): Real;
var
I :Integer;
C,D,Z,E :Real;
label
_10;
begin
{ Result -    SF75R2  FORTRANe }
C  := 1.0;
D  := 2*_SF75R3.elm1 - 1;
Z  := Y[0] + D*Y[1];
for I:=3 to J do
 begin
  E  := 2*(2*_SF75R3.elm1 - 1)*D - C;
  Z  := Z + E*Y[I-1];
  C  := D;
  D  := E;
_10:
 end;
Result := Z;
exit;
end;

end.
